be.behealth.webservices.tsa

## Enum HashType

- java.lang.Object
- - java.lang.Enum<HashType>
  - - be.behealth.webservices.tsa.HashType

- All Implemented Interfaces:
    Serializable, Comparable<HashType>

      public enum HashType
      extends Enum<HashType>

  Java class for HashType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="HashType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
           <enumeration value="SHA-256"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SHA_256`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HashType` | `fromValue(String v)`
    `String` | `value()`
    `static HashType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HashType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHA_256

          public static final HashType SHA_256

  - ### Method Detail

    - #### values

          public static HashType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HashType c : HashType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HashType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static HashType fromValue(String v)

Connector Packaging PERSNURSE 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.